feature request - Chrome beta and dev channel support

I've always used the dev channel build of Chrome at work and I know it has worked before so maybe you recently changed something? If so, please change it back. If 1password doesn't work with Chrome dev channel then the browser integration features are basically useless to me.

Comments

  • svondutchsvondutch

    Team Member
    Our current extension is dead in Chrome 16 (the current Chrome DEV channel). We have a new extension in the pipeline, and are planning on releasing it once Chrome 16 hits the STABLE channel. This new extension should work for both the STABLE and the DEV channel.
  • thejermthejerm Junior Member
    I'm on Chrome 17 Dev and the extension doesn't work there as well. Is there a beta release of the new chrome extension?
  • svondutchsvondutch

    Team Member
    Currently, our new extension is in BETA for Safari only. Chrome should follow soon.
  • DBrownDBrown 1Password Alumni
    Please note that 1Password is confirmed compatible with only the current non-Beta (stable) releases of the supported browsers.



    You may be able to use 1Password with older versions or with pre-release builds, but our goal is to release an update within 24 hours of each "stable" release.
  • DBrown wrote:

    Please note that 1Password is confirmed compatible with only the current non-Beta (stable) releases of the supported browsers.



    You may be able to use 1Password with older versions or with pre-release builds, but our goal is to release an update within 24 hours of each "stable" release.


    Understood, but you should still consider supporting (if only in beta) the dev channel. One of the biggest reasons I use 1password is the multitude of passwords required for my job and at my job I must use the dev channel build. Surely there are others in the same boat.
  • DBrownDBrown 1Password Alumni
    We currently just don't have the resources to support additional browsers or platforms, Mark.
  • Ok, thanks for considering my request, maybe others will voice their interest in this too and it will move up in priority. Also, for the record. the request is for neither additional browsers or additional platforms since you already support Chrome. In fact, I bet it would probably work already if you just didn't grey out the selection box in the preferences. At least, you could allow it to be selected but just unsupported.
  • DBrownDBrown 1Password Alumni
    We hear from customers occasionally, letting us know that 1Password does (or doesn't) work with this or that version of Chrome on the Dev, Canary, or Beta channel.

    That's interesting information, and we're happy to hear from them; but we always remind them that we support only the current regular releases of the supported browsers. I don't know the details of how they got the 1Password extension set up.
  • LosInvalidosLosInvalidos Junior Member
    edited December 2011
    And agile knows I'm all in for chromium beta support. But currently the extension is working fine with chromium 16 and yes I know: only stable is supported ;)
  • DBrownDBrown 1Password Alumni
    That's interesting information, LosInvalidos, and we're happy to hear from you! ;)
This discussion has been closed.